--- /dev/null	Thu Apr  2 18:49:48 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/pthread_h.cfg	Thu Apr  2 18:49:48 2015
@@ -0,0 +1,63 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2015 Garrett D'Amore <garrett@damore.org>
+#
+
+#
+# Definitions found in pthread.h
+#
+# Note that this header is not defined prior to the POSIX 1995 & SUSv2
+# specifications.  Therefore, applications which #include it in earlier
+# environments may reasonably obtain their contents, although such use
+# would not be conformant to those specifications.
+#
+# As a result, we only test the newer specifications.
+#
+
+#
+# Types.
+#
+type |	pthread_t *	| pthread.h | POSIX-1995+ SUSv2+
+
+#
+# Values.
+#
+value |	PTHREAD_SCOPE_PROCESS	| int	| pthread.h | POSIX-1995+ SUSv2+
+value |	PTHREAD_SCOPE_SYSTEM	| int	| pthread.h | POSIX-1995+ SUSv2+
+
+#
+# Functions
+#
+func |	pthread_create							|\
+	int								|\
+	pthread_t *; const pthread_attr_t *; void *(*)(void *); void *	|\
+	pthread.h							|\
+	POSIX-1995+ SUSv2+
+
+func |	pthread_self							|\
+	pthread_t							|\
+	void								|\
+	pthread.h							|\
+	POSIX-1995+ SUSv2+
+
+func |	pthread_attr_getscope						|\
+	int								|\
+	const pthread_attr_t *; int *					|\
+	pthread.h							|\
+	POSIX-1995+ SUSv2+
+
+func |	pthread_attr_setscope						|\
+	int								|\
+	pthread_attr_t *; int						|\
+	pthread.h							|\
+	POSIX-1995+ SUSv2+
